QGIS Application - Bug report #9430

Disable "Paste Features as New Layer" if empty clipboard

2014-01-26 05:26 PM - Jeremy Palmer

Status: Closed
Priority: Normal
Assignee: Denis Rouzaud
Category: GUI

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 18024

Description

The new "paste features as new layer" feature should be disabled if the clipboard is empty.

Also see #9083

In addition if the clipboard does not contain features to paste, then the process should stop after the error of message of "No features in

clipboard". Currently the error message is raised but then continues to prompt for the new layer coordinates system and other save

options.

Associated revisions

Revision 7a9e6820 - 2014-01-29 11:37 AM - Denis Rouzaud

fix #9430: do not enable copy to layer if nothing to copy

Revision 983b1c95 - 2014-02-02 08:59 PM - Denis Rouzaud

fix #9430 followup 7a9e682

History

#1 - 2014-01-27 02:45 AM - Giovanni Manghi
- Operating System deleted (ALL)
- Affected QGIS version changed from 2.0.1 to master

#2 - 2014-01-29 02:28 AM - Denis Rouzaud
- Assignee set to Denis Rouzaud

#3 - 2014-01-29 02:40 AM - Denis Rouzaud
- Status changed from Open to Closed

Fixed in changeset commit:"7a9e6820043d26579d8a07f1ce0adde841f842e7".

#4 - 2014-02-02 11:36 PM - Denis Rouzaud
- Status changed from Closed to Reopened
see https://github.com/qgis/QGIS/pull/1140

the paste menu gets enabled as soon as there is something in the clipboard (I mean any text).
Even if the text does not contain WKT strings, the menu is enabled.

To prevent this, the check of the clipboard content should be done every time it changes.

This will output GEOS every time there is a new copy which is not made of WKT strings.

Is this reasonable or shall the beheviour remain (and consider this issue as a non-issue)?

#5 - 2014-02-03 08:27 AM - Radim Blazek

Denis Rouzaud wrote:

This will output GEOS every time there is a new copy which is not made of WKT strings.

This is not clear to me, can you please explain?

#6 - 2014-02-03 10:16 PM - Denis Rouzaud
with this patch, QGIS will try to see if there are geometric features in the clipboard every time it changes.
So as soon as you will copy something outside of QGIS, it will go through each line of text and test if it is a WKT geometry. This check is done via geos and

each failure writes a log message in QGIS.

see https:/f.cloud.github.com/assets/127259/2073642/cc33bace-8d63-11e3-9667-d77a4b5d972d.png

#7 - 2014-02-11 10:40 PM - Denis Rouzaud
- Status changed from Reopened to Closed

The current behavior is considered as the right one. If there is something in the keyboard, you are allowed to try pasting, even if you have only standard

text in the clipboard.
